Name:           ease
Version:        0.4
Release:        18%{?dist}
Summary:        GNOME desktop presentation application

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.ease-project.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/ease/0.4/ease-%{version}.tar.bz2
# desktop file's MimeType must have a ; trailing character
Patch0:         ease-0.4-fix_mime-type.patch
Patch1:         ease-0.4-dependencies.patch

BuildRequires:  pkgconfig(clutter-gst-1.0)
BuildRequires:  clutter-gtk010-devel
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(rest-extras-0.7)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gnome-common
BuildRequires:  libtool
BuildRequires:  autoconf

Requires:       shared-mime-info

%description
Ease is a modern desktop presentation application for GNOME, with
Clutter-based visuals.

With a simple design, Ease is painless to use. It is intended to
integrate well into your current GNOME-based desktop.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .fix_mime-type
%patch1 -p1 -b .dependencies

sed -i.cgtk 's/ clutter-gtk-0.10 >= 0.10/ clutter-gtk-0.12 >= 0.11/' configure.ac
sed -i.cgtk 's/ --pkg clutter-gtk-0.10/ --pkg clutter-gtk-0.12/' configure.ac

libtoolize
autoreconf

%build
%configure --disable-static
# Don't use rpath!
sed -i 's|/lib /usr/lib|/lib /usr/lib /lib64 /usr/lib64|' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# validate desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ease.desktop

# remove *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS
%{_bindir}/ease
%{_libdir}/libease-core-%{version}.so.*
%{_libdir}/libflutter-%{version}.so.*
%{_datadir}/applications/ease.desktop
%{_datadir}/ease
%{_datadir}/icons/gnome/scalable/mimetypes/gnome-mime-application-x-ease.svg
%{_datadir}/icons/hicolor/scalable/apps/ease.svg
%{_datadir}/mime/packages/ease-mime.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/ease
%{_includedir}/flutter
%{_libdir}/libease-core-%{version}.so
%{_libdir}/libflutter-%{version}.so
%{_libdir}/pkgconfig/ease-core-%{version}.pc
%{_libdir}/pkgconfig/flutter-%{version}.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.deps
%{_datadir}/vala/vapi/*.vapi


%changelog
* Sat Mar 10 2012 Matthias Clasen <mclasen@redhat.com> - 0.4-18
- Rebuild for new cogl

* Sun Feb 26 2012 Matthias Clasen <mclasen@redhat.com> - 0.4-17
- Rebuild for new cogl

* Thu Jan 26 2012 Tomas Bzatek <tbzatek@redhat.com> - 0.4-16
- Rebuilt for new libarchive

* Sat Jan 21 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4-15
- Rebuild for cogl soname bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 19 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4-13
- Rebuild for clutter

* Sat Nov 19 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4-12
- fix build in rawhide

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.4-11
- rebuild(poppler)

* Fri Oct 14 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4-10
- rebuild for new clutter-gtk010

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.4-9
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.4-8
- Rebuild (poppler-0.17.3)

* Sat Aug 13 2011 Michel Salim <salimma@fedoraproject.org> - 0.4-7
- Place VAPI files in unversioned directories; own the path

* Tue Aug 02 2011 Adam Jackson <ajax@redhat.com> 0.4-6
- Rebuild for libcogl.so.2

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.4-5
- Rebuild (poppler-0.17.0)

* Thu Mar 17 2011 Marek Kasik <mkasik@redhat.com> - 0.4-4
- Rebuild (poppler-0.16.3)

* Mon Feb 21 2011 Marek Kasik <mkasik@redhat.com> - 0.4-3
- Actualize BuildRequires
- Use -export-dynamic instead of --export-dynamic

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Michel Salim <salimma@fedoraproject.org> - 0.4-1
- Initial package
